Subject: bug#39164: Reproducing SIGSEGV bug

From: Tomasz Kowal <[email-masked]>
Date: Sun, 26 Jan 2020 18:41:42 +0100

Hi! I have a speculation to share.

In the project that produced SIGSEGV, I was using lsp-mode.
It asks if I want to "watch files" every time I open a project.
I added really high threshold for the number of allowed watched files
in .dir-locals.
Shortly after I encountered the SIGSEGV for the first time.

I now changed it back to not watching the files, and I am not
encountering the problem anymore.
In the Bug#39164 upstream:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39164, they also mention
lsp-mode.

I am not sure if that helps but I believe, enabling file watching in
lsp-mode on a big project consumes enough memory to make the bug more
likely to reoccur.

BR,
Tomasz Kowal